<template>
    <div class="container">        
            <h2>ОПЛАТА</h2>                   
            <br>    
            <pay-param />
            <br>
            <input v-if='this.$store.state.selectedPayParam == "cash"' type="text" placeholder="Сдача с" v-model='chargeFor' autocomplete="off" />
            <br>                
    </div>
</template>
<script>
import PayParam from './PayParam';
export default {    
    components: {
        PayParam,
    },
    computed: {        
        chargeFor: {
            get() {
                return this.$store.state.chargeFor;
            },
            set(value) {
                this.$store.commit('updateChargeFor', value);
            }
        },        
    }
}
</script>
<style scoped>    
    p {
        margin-bottom: 10px;
    }
    .validation-text {
        color: red;        
    }
    .container {
        text-align: left;              
    }
    input[type='text'], textarea {        
        font-size: 16px;
        outline: none;
        border-radius: 10px;
        padding: 10px;
        width: 120px;
        min-width: 120px;        
        border: 1px solid #ccc;
        margin-bottom: 15px;        
        box-shadow: inset 0px 0px 0px 0px red;
    }
    input[type='text'].invalid {
        border: 1px solid red;
    }

    input[type='text']:focus, textarea:focus{
        outline: none;
        border: 1px solid #f0712c;        
    }
    textarea {     
        height: 70px;  
    }
    

</style>

